Skip to content

Returns a list of records with the specified status

Request

Returns a list of records with the specified status

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

processIdstringrequired

The review process for record lookup

statusstringrequired

The status to use to for record lookup

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned

exclusiveStartKeystring

If paging, this allows you to return the next set of results

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstractReviewRounds/{tenantId}/status/{processId}/{status}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Countinteger
ItemsArray of objects(AbstractReviewRound)
LastEvaluatedKeystring
Response
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }